// App-Idea Rest-API Documentation
//
// Example Swagger spec.
//
//	Schemes: [http, https]
//	BasePath: /api/v1/
//	Version: 0.0.1
//	Contact: Alex<alex@roese.dev>
//
//	Consumes:
//	- application/json
//
//	Produces:
//	- application/json
//
//      SecurityDefinitions:
//          api_key:
//              type: apiKey
//              name: Authorization
//              in: header
// swagger:meta
package main

import (
	"git.umbach.dev/app-idea/rest-api/modules/config"
	"git.umbach.dev/app-idea/rest-api/modules/database"
	"git.umbach.dev/app-idea/rest-api/routers/router"

	"github.com/gofiber/fiber/v2"
	log "github.com/sirupsen/logrus"
)

func main() {
	app := fiber.New()

	config.LoadConfig()

	cfg := &config.Cfg.Server

	if cfg.Debug {
		log.SetLevel(log.DebugLevel)
	}

	router.SetupRoutes(app)

	database.InitDatabase()

	app.Listen(cfg.Host)
}

/*

swagger generate spec -o ./swagger.yaml

sudo docker run -p 80:8080 -e SWAGGER_JSON=/api.yaml -v ~/Documents/coding/go/rest-api/swagger.yaml:/api.yaml swaggerapi/swagger-ui

*/
